<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity WorkOrderBooking.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idcustomer"
                                 baseTableName="work_order_booking"
                                 constraintName="fk_work_order_booking_customer_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="personal_customer"/>

        <addForeignKeyConstraint baseColumnNames="idvehicle"
                                 baseTableName="work_order_booking"
                                 constraintName="fk_work_order_booking_vehicle_id"
                                 referencedColumnNames="idvehicle"
                                 referencedTableName="vehicle"/>

        <addForeignKeyConstraint baseColumnNames="idbooslo"
                                 baseTableName="work_order_booking"
                                 constraintName="fk_work_order_booking_slot_id"
                                 referencedColumnNames="idbooslo"
                                 referencedTableName="booking_slot"/>

        <addForeignKeyConstraint baseColumnNames="idboktyp"
                                 baseTableName="work_order_booking"
                                 constraintName="fk_work_order_booking_booking_type_id"
                                 referencedColumnNames="idboktyp"
                                 referencedTableName="booking_type"/>

        <addForeignKeyConstraint baseColumnNames="idevetyp"
                                 baseTableName="work_order_booking"
                                 constraintName="fk_work_order_booking_event_type_id"
                                 referencedColumnNames="idevetyp"
                                 referencedTableName="event_type"/>

        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="work_order_booking"
                                 constraintName="fk_work_order_booking_internal_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="internal"/>

    </changeSet>
</databaseChangeLog>
